PlayerEvents.tick(event => {
    const { player, level } = event
    
    // Pulse once per second
    if (level.time % 20 != 0) return

    // Standard interaction range (4 blocks)
    let ray = player.rayTrace(4)
    
    if (ray.block && ray.block.id == 'minecraft:enchanting_table') {
        // Bold and Red to stand out
        player.displayClientMessage(
            Text.of("The innate magic of this table seems to have dissipated eons ago... it is useless now.")
                .red()
                .bold(), 
            true
        )
    }
})